From ddda127567f37bbca02a7dc1bd6b8ef080008cbe Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Fri, 31 May 2019 00:41:09 +0200
Subject: [PATCH 1/3] iptables: update to 1.8.3.

---
 common/shlibs                                 |  4 +--
 .../patches/0001-Fix-glibc-build.patch        | 28 -------------------
 .../patches/0002-Fix-musl-build.patch         | 26 -----------------
 srcpkgs/iptables/template                     |  6 ++--
 4 files changed, 5 insertions(+), 59 deletions(-)
 delete mode 100644 srcpkgs/iptables/patches/0001-Fix-glibc-build.patch
 delete mode 100644 srcpkgs/iptables/patches/0002-Fix-musl-build.patch

diff --git a/common/shlibs b/common/shlibs
index e94680f2d39..fe557cc4411 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -633,9 +633,9 @@ libedata-cal-1.2.so.29 evolution-data-server-3.30.0_1
 libgdata.so.22 libgdata-0.17.9_1
 libpcap.so.1 libpcap-1.1.1_1
 libiptc.so.0 iptables-1.4.7_1
-libip6tc.so.0 iptables-1.4.7_1
+libip6tc.so.2 iptables-1.8.3_1
 libxtables.so.12 iptables-1.6.1_1
-libip4tc.so.0 iptables-1.4.7_1
+libip4tc.so.2 iptables-1.8.3_1
 libipq.so.0 iptables-1.4.7_1
 libnm-util.so.2 libnm-0.9.1.90_1
 libnm-glib.so.4 libnm-0.9.1.90_1
diff --git a/srcpkgs/iptables/patches/0001-Fix-glibc-build.patch b/srcpkgs/iptables/patches/0001-Fix-glibc-build.patch
deleted file mode 100644
index f120ac962ad..00000000000
--- a/srcpkgs/iptables/patches/0001-Fix-glibc-build.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-From e8ba70f898179ede0170e36db49ca27570b12371 Mon Sep 17 00:00:00 2001
-From: Nathan <ndowens04@gmail.com>
-Date: Wed, 9 Jan 2019 21:03:56 -0600
-Subject: [PATCH 1/2] Fix glibc build
-
----
- include/linux/netfilter.h | 3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git include/linux/netfilter.h include/linux/netfilter.h
-index c3f087a..c934044 100644
---- include/linux/netfilter.h
-+++ include/linux/netfilter.h
-@@ -2,9 +2,10 @@
- #define __LINUX_NETFILTER_H
- 
- #include <linux/types.h>
--
-+#ifndef __GLIBC__
- #include <linux/in.h>
- #include <linux/in6.h>
-+#endif
- #include <limits.h>
- 
- /* Responses from hook functions. */
--- 
-2.20.1
-
diff --git a/srcpkgs/iptables/patches/0002-Fix-musl-build.patch b/srcpkgs/iptables/patches/0002-Fix-musl-build.patch
deleted file mode 100644
index 365f03926f6..00000000000
--- a/srcpkgs/iptables/patches/0002-Fix-musl-build.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-From 3186b4418d5c11fd7943623722478eec9727282a Mon Sep 17 00:00:00 2001
-From: Nathan <ndowens04@gmail.com>
-Date: Wed, 9 Jan 2019 21:04:59 -0600
-Subject: [PATCH 2/2] Fix musl build
-
----
- extensions/libebt_vlan.c | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git extensions/libebt_vlan.c extensions/libebt_vlan.c
-index 4a2eb71..a5c7dc4 100644
---- extensions/libebt_vlan.c
-+++ extensions/libebt_vlan.c
-@@ -13,7 +13,9 @@
- #include <ctype.h>
- #include <xtables.h>
- #include <linux/netfilter_bridge/ebt_vlan.h>
-+#ifdef __GLIBC__
- #include <linux/if_ether.h>
-+#endif
- #include "iptables/nft.h"
- #include "iptables/nft-bridge.h"
- 
--- 
-2.20.1
-
diff --git a/srcpkgs/iptables/template b/srcpkgs/iptables/template
index 5d39ee796fd..1b2d42bf7ea 100644
--- a/srcpkgs/iptables/template
+++ b/srcpkgs/iptables/template
@@ -1,6 +1,6 @@
 # Template file for 'iptables'
 pkgname=iptables
-version=1.8.2
+version=1.8.3
 revision=1
 build_style=gnu-configure
 configure_args="--enable-libipq --enable-shared --enable-devel --enable-bpf-compiler"
@@ -11,8 +11,8 @@ short_desc="Linux IPv[46] packet filtering ruleset"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://www.netfilter.org/"
-distfiles="${homepage}/projects/iptables/files/${pkgname}-${version}.tar.bz2"
-checksum=a3778b50ed1a3256f9ca975de82c2204e508001fc2471238c8c97f3d1c4c12af
+distfiles="https://www.netfilter.org/projects/iptables/files/iptables-${version}.tar.bz2"
+checksum=a23cac034181206b4545f4e7e730e76e08b5f3dd78771ba9645a6756de9cdd80
 
 pre_build() {
 	rm include/linux/types.h

From 4f8dcbd7503fa64019f4e491c7886c6e44098dab Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Fri, 31 May 2019 00:41:33 +0200
Subject: [PATCH 2/3] collectd: rebuild against iptables-1.8.3

---
 srcpkgs/collectd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/collectd/template b/srcpkgs/collectd/template
index e5ab2e73e92..473cb2314b3 100644
--- a/srcpkgs/collectd/template
+++ b/srcpkgs/collectd/template
@@ -1,7 +1,7 @@
 # Template file for 'collectd'
 pkgname=collectd
 version=5.8.1
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="$(vopt_enable rrdtool rrdtool) $(vopt_enable perl perl)
  $(vopt_enable notify notify_desktop) --with-libiptc --enable-virt

From ffd8188fa215a79dfd7c6bc603a01caf1325ba39 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Fri, 31 May 2019 00:41:34 +0200
Subject: [PATCH 3/3] miniupnpd: rebuild against iptables-1.8.3

---
 srcpkgs/miniupnpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/miniupnpd/template b/srcpkgs/miniupnpd/template
index bfda27edac8..8d46cb7514d 100644
--- a/srcpkgs/miniupnpd/template
+++ b/srcpkgs/miniupnpd/template
@@ -1,7 +1,7 @@
 # Template file for 'miniupnpd'
 pkgname=miniupnpd
 version=2.1
-revision=1
+revision=2
 build_style=gnu-makefile
 make_cmd="make -f Makefile.linux"
 make_install_args="PREFIX= SBININSTALLDIR=/usr/bin"
